package de.hft.stuttgart.citydoctor2.webservice.endpoints;

import static org.junit.Assert.*;

import java.io.File;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.StandardCopyOption;

import javax.ws.rs.core.HttpHeaders;

import org.apache.http.HttpResponse;
import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.impl.client.HttpClients;
import org.junit.Test;

public class ValidationEndpointTest {

	@Test
	public void testRetrieveXmlReport() throws ClientProtocolException, IOException {
		HttpClient client = HttpClients.createMinimal();
		LoginValues login = TestUtils.login(client);

		HttpGet get = new HttpGet("http://localhost:8080/CityDoctorWebService/rest/models/validations/5/xml");
		get.addHeader(HttpHeaders.AUTHORIZATION, "Bearer " + login.getToken());

		HttpResponse response = client.execute(get);
		File file = new File("C:/WebService/test.xml");
		Files.copy(response.getEntity().getContent(), file.toPath(), StandardCopyOption.REPLACE_EXISTING);
		assertTrue(file.exists());
	}
	
	@Test
	public void testRetrievePdfReport() throws ClientProtocolException, IOException {
		HttpClient client = HttpClients.createMinimal();
		LoginValues login = TestUtils.login(client);

		HttpGet get = new HttpGet("http://localhost:8080/CityDoctorWebService/rest/models/validations/5/pdf");
		get.addHeader(HttpHeaders.AUTHORIZATION, "Bearer " + login.getToken());

		HttpResponse response = client.execute(get);
		File file = new File("C:/WebService/test.pdf");
		Files.copy(response.getEntity().getContent(), file.toPath(), StandardCopyOption.REPLACE_EXISTING);
		assertTrue(file.exists());
	}

}
